Bug 1120061 - UI crashes when no bond name is given
Summary: UI crashes when no bond name is given
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.1
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard: node
Depends On: 1090434
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 07:59 UTC by rhev-integ
Modified: 2016-02-10 20:06 UTC (History)
21 users (show)

Fixed In Version: ovirt-node-3.0.1-18.el6_5.13
Doc Type: Bug Fix
Doc Text:
Previously, when creating a new bond in the Red Hat Enterprise Virtualization Hypervisor user interface, leaving the 'bond name' field empty caused the user interface to crash. Now, the bond transaction is disabled if 'bond.name' and 'bond.slaves.selected' are not set, and an error dialogue appears in the UI.
Clone Of: 1090434
Environment:
Last Closed: 2014-07-29 14:19:14 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0977 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update for 3.4.1/6.5.6 2014-07-29 18:17:43 UTC
oVirt gerrit 27110 master MERGED disable transaction of bond if unset bond.name and bond.slaves.selected Never

Comment 3 haiyang,dong 2014-07-18 04:25:06 UTC
Test version:
ovirt-node-3.0.1-18.el6_5.13
rhev-hypervisor6-6.5-20140715.0.iso

Test steps:
1. Select <cretae bond> in UI
2. modify options filed and select a nic (leave the bond name field empty)
3. Press <Save>

Now no UI crashes, also it prompt "There were no changes, nothing to do." 

so this bug has been fixed, change the status into "verified".

Comment 5 errata-xmlrpc 2014-07-29 14:19:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0977.html


Note You need to log in before you can comment on or make changes to this bug.